Name:           bridge-method-injector
Version:        1.14
Release:        %mkrel 5
Group:          Development/Java
Summary:        Evolve Java classes without breaking compatibility
# License is specified in pom file
License:        MIT
URL:            https://github.com/infradna/bridge-method-injector
BuildArch:      noarch

Source0:        https://github.com/infradna/%{name}/archive/%{name}-parent-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
# Upstream doesn't care about license texts in repository
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-provider-gitexe)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.ow2.asm:asm-all)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This package contains small Java library for generating
synthetic bridge methods with different return types
to help backward compatibility.

%package -n bridge-method-annotation
Summary:        Bridge method injection annotations

%description -n bridge-method-annotation
This package contains annotations for injecting bridge methods.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp %{SOURCE1} LICENSE

%mvn_package :bridge-method-annotation bridge-method-annotation

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]"
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]" injector
%pom_remove_plugin :nexus-staging-maven-plugin

# We don't have asm-all with debug information
%pom_change_dep :asm-debug-all :asm-all injector

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files -n bridge-method-annotation -f .mfiles-bridge-method-annotation
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Thu May 18 2017 neoclust <neoclust> 1.14-5.mga6
+ Revision: 1103042
- Fix buildRequires

* Thu Mar 03 2016 neoclust <neoclust> 1.14-4.mga6
+ Revision: 985130
- imported package bridge-method-injector


* Tue Feb 25 2014 Michal Srb <msrb@redhat.com> - 1.12-1
- Update to upstream version 1.12

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

